aboutsummaryrefslogtreecommitdiffstats
path: root/main/xfdesktop
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/xfdesktop
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/xfdesktop')
-rw-r--r--main/xfdesktop/APKBUILD33
l---------main/xfdesktop/xfdesktop.post-deinstall1
-rw-r--r--main/xfdesktop/xfdesktop.post-install4
l---------main/xfdesktop/xfdesktop.post-upgrade1
4 files changed, 39 insertions, 0 deletions
diff --git a/main/xfdesktop/APKBUILD b/main/xfdesktop/APKBUILD
new file mode 100644
index 0000000000..4341fbf483
--- /dev/null
+++ b/main/xfdesktop/APKBUILD
@@ -0,0 +1,33 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xfdesktop
+pkgver=4.6.1
+pkgrel=0
+pkgdesc="A desktop manager for Xfce"
+url="http://www.xfce.org/"
+license="GPL-2"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="hicolor-icon-theme thunar"
+makedepends="pkgconfig libxfce4menu-dev thunar-dev intltool gettext-dev
+ libiconv-dev libxfce4util-dev gtk+-dev libxfcegui4-dev libwnck-dev
+ libglade-dev xfce4-panel-dev libsm-dev libice-dev expat-dev
+ e2fsprogs-dev"
+install="$pkgname.post-install $pkgname.post-upgrade $pkgname.post-deinstall"
+source="http://www.xfce.org/archive/xfce-$pkgver/src/$pkgname-$pkgver.tar.bz2
+ $install"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib \
+ --localstatedir=/var \
+ --disable-static || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="ae15cacc3e3834cca7238a8e1035c50d xfdesktop-4.6.1.tar.bz2
+db51db79681eadc47be4932355a77c25 xfdesktop.post-install
+db51db79681eadc47be4932355a77c25 xfdesktop.post-upgrade
+db51db79681eadc47be4932355a77c25 xfdesktop.post-deinstall"
diff --git a/main/xfdesktop/xfdesktop.post-deinstall b/main/xfdesktop/xfdesktop.post-deinstall
new file mode 120000
index 0000000000..15a86781aa
--- /dev/null
+++ b/main/xfdesktop/xfdesktop.post-deinstall
@@ -0,0 +1 @@
+xfdesktop.post-install \ No newline at end of file
diff --git a/main/xfdesktop/xfdesktop.post-install b/main/xfdesktop/xfdesktop.post-install
new file mode 100644
index 0000000000..c523d78da0
--- /dev/null
+++ b/main/xfdesktop/xfdesktop.post-install
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+
diff --git a/main/xfdesktop/xfdesktop.post-upgrade b/main/xfdesktop/xfdesktop.post-upgrade
new file mode 120000
index 0000000000..15a86781aa
--- /dev/null
+++ b/main/xfdesktop/xfdesktop.post-upgrade
@@ -0,0 +1 @@
+xfdesktop.post-install \ No newline at end of file